Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network99.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
99.0.0.0
Broadcast address
99.255.255.255
First usable
99.0.0.1
Last usable
99.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 63000000 · Integer 1660944384 to 1677721599
Reverse DNS zone
99.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100011..00000000.00000000.0000000099.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01100011..00000000.00000000.0000000099.0.0.0
Broadcast01100011..11111111.11111111.1111111199.255.255.255
Split into smaller subnets/16

99.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
199.0.0.0/1699.0.0.1 to 99.0.255.25499.0.255.25565,534
299.1.0.0/1699.1.0.1 to 99.1.255.25499.1.255.25565,534
399.2.0.0/1699.2.0.1 to 99.2.255.25499.2.255.25565,534
499.3.0.0/1699.3.0.1 to 99.3.255.25499.3.255.25565,534
599.4.0.0/1699.4.0.1 to 99.4.255.25499.4.255.25565,534
699.5.0.0/1699.5.0.1 to 99.5.255.25499.5.255.25565,534
799.6.0.0/1699.6.0.1 to 99.6.255.25499.6.255.25565,534
899.7.0.0/1699.7.0.1 to 99.7.255.25499.7.255.25565,534
999.8.0.0/1699.8.0.1 to 99.8.255.25499.8.255.25565,534
1099.9.0.0/1699.9.0.1 to 99.9.255.25499.9.255.25565,534
1199.10.0.0/1699.10.0.1 to 99.10.255.25499.10.255.25565,534
1299.11.0.0/1699.11.0.1 to 99.11.255.25499.11.255.25565,534
1399.12.0.0/1699.12.0.1 to 99.12.255.25499.12.255.25565,534
1499.13.0.0/1699.13.0.1 to 99.13.255.25499.13.255.25565,534
1599.14.0.0/1699.14.0.1 to 99.14.255.25499.14.255.25565,534
1699.15.0.0/1699.15.0.1 to 99.15.255.25499.15.255.25565,534
1799.16.0.0/1699.16.0.1 to 99.16.255.25499.16.255.25565,534
1899.17.0.0/1699.17.0.1 to 99.17.255.25499.17.255.25565,534
1999.18.0.0/1699.18.0.1 to 99.18.255.25499.18.255.25565,534
2099.19.0.0/1699.19.0.1 to 99.19.255.25499.19.255.25565,534
2199.20.0.0/1699.20.0.1 to 99.20.255.25499.20.255.25565,534
2299.21.0.0/1699.21.0.1 to 99.21.255.25499.21.255.25565,534
2399.22.0.0/1699.22.0.1 to 99.22.255.25499.22.255.25565,534
2499.23.0.0/1699.23.0.1 to 99.23.255.25499.23.255.25565,534
2599.24.0.0/1699.24.0.1 to 99.24.255.25499.24.255.25565,534
2699.25.0.0/1699.25.0.1 to 99.25.255.25499.25.255.25565,534
2799.26.0.0/1699.26.0.1 to 99.26.255.25499.26.255.25565,534
2899.27.0.0/1699.27.0.1 to 99.27.255.25499.27.255.25565,534
2999.28.0.0/1699.28.0.1 to 99.28.255.25499.28.255.25565,534
3099.29.0.0/1699.29.0.1 to 99.29.255.25499.29.255.25565,534
3199.30.0.0/1699.30.0.1 to 99.30.255.25499.30.255.25565,534
3299.31.0.0/1699.31.0.1 to 99.31.255.25499.31.255.25565,534
3399.32.0.0/1699.32.0.1 to 99.32.255.25499.32.255.25565,534
3499.33.0.0/1699.33.0.1 to 99.33.255.25499.33.255.25565,534
3599.34.0.0/1699.34.0.1 to 99.34.255.25499.34.255.25565,534
3699.35.0.0/1699.35.0.1 to 99.35.255.25499.35.255.25565,534
3799.36.0.0/1699.36.0.1 to 99.36.255.25499.36.255.25565,534
3899.37.0.0/1699.37.0.1 to 99.37.255.25499.37.255.25565,534
3999.38.0.0/1699.38.0.1 to 99.38.255.25499.38.255.25565,534
4099.39.0.0/1699.39.0.1 to 99.39.255.25499.39.255.25565,534
4199.40.0.0/1699.40.0.1 to 99.40.255.25499.40.255.25565,534
4299.41.0.0/1699.41.0.1 to 99.41.255.25499.41.255.25565,534
4399.42.0.0/1699.42.0.1 to 99.42.255.25499.42.255.25565,534
4499.43.0.0/1699.43.0.1 to 99.43.255.25499.43.255.25565,534
4599.44.0.0/1699.44.0.1 to 99.44.255.25499.44.255.25565,534
4699.45.0.0/1699.45.0.1 to 99.45.255.25499.45.255.25565,534
4799.46.0.0/1699.46.0.1 to 99.46.255.25499.46.255.25565,534
4899.47.0.0/1699.47.0.1 to 99.47.255.25499.47.255.25565,534
4999.48.0.0/1699.48.0.1 to 99.48.255.25499.48.255.25565,534
5099.49.0.0/1699.49.0.1 to 99.49.255.25499.49.255.25565,534
5199.50.0.0/1699.50.0.1 to 99.50.255.25499.50.255.25565,534
5299.51.0.0/1699.51.0.1 to 99.51.255.25499.51.255.25565,534
5399.52.0.0/1699.52.0.1 to 99.52.255.25499.52.255.25565,534
5499.53.0.0/1699.53.0.1 to 99.53.255.25499.53.255.25565,534
5599.54.0.0/1699.54.0.1 to 99.54.255.25499.54.255.25565,534
5699.55.0.0/1699.55.0.1 to 99.55.255.25499.55.255.25565,534
5799.56.0.0/1699.56.0.1 to 99.56.255.25499.56.255.25565,534
5899.57.0.0/1699.57.0.1 to 99.57.255.25499.57.255.25565,534
5999.58.0.0/1699.58.0.1 to 99.58.255.25499.58.255.25565,534
6099.59.0.0/1699.59.0.1 to 99.59.255.25499.59.255.25565,534
6199.60.0.0/1699.60.0.1 to 99.60.255.25499.60.255.25565,534
6299.61.0.0/1699.61.0.1 to 99.61.255.25499.61.255.25565,534
6399.62.0.0/1699.62.0.1 to 99.62.255.25499.62.255.25565,534
6499.63.0.0/1699.63.0.1 to 99.63.255.25499.63.255.25565,534
6599.64.0.0/1699.64.0.1 to 99.64.255.25499.64.255.25565,534
6699.65.0.0/1699.65.0.1 to 99.65.255.25499.65.255.25565,534
6799.66.0.0/1699.66.0.1 to 99.66.255.25499.66.255.25565,534
6899.67.0.0/1699.67.0.1 to 99.67.255.25499.67.255.25565,534
6999.68.0.0/1699.68.0.1 to 99.68.255.25499.68.255.25565,534
7099.69.0.0/1699.69.0.1 to 99.69.255.25499.69.255.25565,534
7199.70.0.0/1699.70.0.1 to 99.70.255.25499.70.255.25565,534
7299.71.0.0/1699.71.0.1 to 99.71.255.25499.71.255.25565,534
7399.72.0.0/1699.72.0.1 to 99.72.255.25499.72.255.25565,534
7499.73.0.0/1699.73.0.1 to 99.73.255.25499.73.255.25565,534
7599.74.0.0/1699.74.0.1 to 99.74.255.25499.74.255.25565,534
7699.75.0.0/1699.75.0.1 to 99.75.255.25499.75.255.25565,534
7799.76.0.0/1699.76.0.1 to 99.76.255.25499.76.255.25565,534
7899.77.0.0/1699.77.0.1 to 99.77.255.25499.77.255.25565,534
7999.78.0.0/1699.78.0.1 to 99.78.255.25499.78.255.25565,534
8099.79.0.0/1699.79.0.1 to 99.79.255.25499.79.255.25565,534
8199.80.0.0/1699.80.0.1 to 99.80.255.25499.80.255.25565,534
8299.81.0.0/1699.81.0.1 to 99.81.255.25499.81.255.25565,534
8399.82.0.0/1699.82.0.1 to 99.82.255.25499.82.255.25565,534
8499.83.0.0/1699.83.0.1 to 99.83.255.25499.83.255.25565,534
8599.84.0.0/1699.84.0.1 to 99.84.255.25499.84.255.25565,534
8699.85.0.0/1699.85.0.1 to 99.85.255.25499.85.255.25565,534
8799.86.0.0/1699.86.0.1 to 99.86.255.25499.86.255.25565,534
8899.87.0.0/1699.87.0.1 to 99.87.255.25499.87.255.25565,534
8999.88.0.0/1699.88.0.1 to 99.88.255.25499.88.255.25565,534
9099.89.0.0/1699.89.0.1 to 99.89.255.25499.89.255.25565,534
9199.90.0.0/1699.90.0.1 to 99.90.255.25499.90.255.25565,534
9299.91.0.0/1699.91.0.1 to 99.91.255.25499.91.255.25565,534
9399.92.0.0/1699.92.0.1 to 99.92.255.25499.92.255.25565,534
9499.93.0.0/1699.93.0.1 to 99.93.255.25499.93.255.25565,534
9599.94.0.0/1699.94.0.1 to 99.94.255.25499.94.255.25565,534
9699.95.0.0/1699.95.0.1 to 99.95.255.25499.95.255.25565,534
9799.96.0.0/1699.96.0.1 to 99.96.255.25499.96.255.25565,534
9899.97.0.0/1699.97.0.1 to 99.97.255.25499.97.255.25565,534
9999.98.0.0/1699.98.0.1 to 99.98.255.25499.98.255.25565,534
10099.99.0.0/1699.99.0.1 to 99.99.255.25499.99.255.25565,534
10199.100.0.0/1699.100.0.1 to 99.100.255.25499.100.255.25565,534
10299.101.0.0/1699.101.0.1 to 99.101.255.25499.101.255.25565,534
10399.102.0.0/1699.102.0.1 to 99.102.255.25499.102.255.25565,534
10499.103.0.0/1699.103.0.1 to 99.103.255.25499.103.255.25565,534
10599.104.0.0/1699.104.0.1 to 99.104.255.25499.104.255.25565,534
10699.105.0.0/1699.105.0.1 to 99.105.255.25499.105.255.25565,534
10799.106.0.0/1699.106.0.1 to 99.106.255.25499.106.255.25565,534
10899.107.0.0/1699.107.0.1 to 99.107.255.25499.107.255.25565,534
10999.108.0.0/1699.108.0.1 to 99.108.255.25499.108.255.25565,534
11099.109.0.0/1699.109.0.1 to 99.109.255.25499.109.255.25565,534
11199.110.0.0/1699.110.0.1 to 99.110.255.25499.110.255.25565,534
11299.111.0.0/1699.111.0.1 to 99.111.255.25499.111.255.25565,534
11399.112.0.0/1699.112.0.1 to 99.112.255.25499.112.255.25565,534
11499.113.0.0/1699.113.0.1 to 99.113.255.25499.113.255.25565,534
11599.114.0.0/1699.114.0.1 to 99.114.255.25499.114.255.25565,534
11699.115.0.0/1699.115.0.1 to 99.115.255.25499.115.255.25565,534
11799.116.0.0/1699.116.0.1 to 99.116.255.25499.116.255.25565,534
11899.117.0.0/1699.117.0.1 to 99.117.255.25499.117.255.25565,534
11999.118.0.0/1699.118.0.1 to 99.118.255.25499.118.255.25565,534
12099.119.0.0/1699.119.0.1 to 99.119.255.25499.119.255.25565,534
12199.120.0.0/1699.120.0.1 to 99.120.255.25499.120.255.25565,534
12299.121.0.0/1699.121.0.1 to 99.121.255.25499.121.255.25565,534
12399.122.0.0/1699.122.0.1 to 99.122.255.25499.122.255.25565,534
12499.123.0.0/1699.123.0.1 to 99.123.255.25499.123.255.25565,534
12599.124.0.0/1699.124.0.1 to 99.124.255.25499.124.255.25565,534
12699.125.0.0/1699.125.0.1 to 99.125.255.25499.125.255.25565,534
12799.126.0.0/1699.126.0.1 to 99.126.255.25499.126.255.25565,534
12899.127.0.0/1699.127.0.1 to 99.127.255.25499.127.255.25565,534
12999.128.0.0/1699.128.0.1 to 99.128.255.25499.128.255.25565,534
13099.129.0.0/1699.129.0.1 to 99.129.255.25499.129.255.25565,534
13199.130.0.0/1699.130.0.1 to 99.130.255.25499.130.255.25565,534
13299.131.0.0/1699.131.0.1 to 99.131.255.25499.131.255.25565,534
13399.132.0.0/1699.132.0.1 to 99.132.255.25499.132.255.25565,534
13499.133.0.0/1699.133.0.1 to 99.133.255.25499.133.255.25565,534
13599.134.0.0/1699.134.0.1 to 99.134.255.25499.134.255.25565,534
13699.135.0.0/1699.135.0.1 to 99.135.255.25499.135.255.25565,534
13799.136.0.0/1699.136.0.1 to 99.136.255.25499.136.255.25565,534
13899.137.0.0/1699.137.0.1 to 99.137.255.25499.137.255.25565,534
13999.138.0.0/1699.138.0.1 to 99.138.255.25499.138.255.25565,534
14099.139.0.0/1699.139.0.1 to 99.139.255.25499.139.255.25565,534
14199.140.0.0/1699.140.0.1 to 99.140.255.25499.140.255.25565,534
14299.141.0.0/1699.141.0.1 to 99.141.255.25499.141.255.25565,534
14399.142.0.0/1699.142.0.1 to 99.142.255.25499.142.255.25565,534
14499.143.0.0/1699.143.0.1 to 99.143.255.25499.143.255.25565,534
14599.144.0.0/1699.144.0.1 to 99.144.255.25499.144.255.25565,534
14699.145.0.0/1699.145.0.1 to 99.145.255.25499.145.255.25565,534
14799.146.0.0/1699.146.0.1 to 99.146.255.25499.146.255.25565,534
14899.147.0.0/1699.147.0.1 to 99.147.255.25499.147.255.25565,534
14999.148.0.0/1699.148.0.1 to 99.148.255.25499.148.255.25565,534
15099.149.0.0/1699.149.0.1 to 99.149.255.25499.149.255.25565,534
15199.150.0.0/1699.150.0.1 to 99.150.255.25499.150.255.25565,534
15299.151.0.0/1699.151.0.1 to 99.151.255.25499.151.255.25565,534
15399.152.0.0/1699.152.0.1 to 99.152.255.25499.152.255.25565,534
15499.153.0.0/1699.153.0.1 to 99.153.255.25499.153.255.25565,534
15599.154.0.0/1699.154.0.1 to 99.154.255.25499.154.255.25565,534
15699.155.0.0/1699.155.0.1 to 99.155.255.25499.155.255.25565,534
15799.156.0.0/1699.156.0.1 to 99.156.255.25499.156.255.25565,534
15899.157.0.0/1699.157.0.1 to 99.157.255.25499.157.255.25565,534
15999.158.0.0/1699.158.0.1 to 99.158.255.25499.158.255.25565,534
16099.159.0.0/1699.159.0.1 to 99.159.255.25499.159.255.25565,534
16199.160.0.0/1699.160.0.1 to 99.160.255.25499.160.255.25565,534
16299.161.0.0/1699.161.0.1 to 99.161.255.25499.161.255.25565,534
16399.162.0.0/1699.162.0.1 to 99.162.255.25499.162.255.25565,534
16499.163.0.0/1699.163.0.1 to 99.163.255.25499.163.255.25565,534
16599.164.0.0/1699.164.0.1 to 99.164.255.25499.164.255.25565,534
16699.165.0.0/1699.165.0.1 to 99.165.255.25499.165.255.25565,534
16799.166.0.0/1699.166.0.1 to 99.166.255.25499.166.255.25565,534
16899.167.0.0/1699.167.0.1 to 99.167.255.25499.167.255.25565,534
16999.168.0.0/1699.168.0.1 to 99.168.255.25499.168.255.25565,534
17099.169.0.0/1699.169.0.1 to 99.169.255.25499.169.255.25565,534
17199.170.0.0/1699.170.0.1 to 99.170.255.25499.170.255.25565,534
17299.171.0.0/1699.171.0.1 to 99.171.255.25499.171.255.25565,534
17399.172.0.0/1699.172.0.1 to 99.172.255.25499.172.255.25565,534
17499.173.0.0/1699.173.0.1 to 99.173.255.25499.173.255.25565,534
17599.174.0.0/1699.174.0.1 to 99.174.255.25499.174.255.25565,534
17699.175.0.0/1699.175.0.1 to 99.175.255.25499.175.255.25565,534
17799.176.0.0/1699.176.0.1 to 99.176.255.25499.176.255.25565,534
17899.177.0.0/1699.177.0.1 to 99.177.255.25499.177.255.25565,534
17999.178.0.0/1699.178.0.1 to 99.178.255.25499.178.255.25565,534
18099.179.0.0/1699.179.0.1 to 99.179.255.25499.179.255.25565,534
18199.180.0.0/1699.180.0.1 to 99.180.255.25499.180.255.25565,534
18299.181.0.0/1699.181.0.1 to 99.181.255.25499.181.255.25565,534
18399.182.0.0/1699.182.0.1 to 99.182.255.25499.182.255.25565,534
18499.183.0.0/1699.183.0.1 to 99.183.255.25499.183.255.25565,534
18599.184.0.0/1699.184.0.1 to 99.184.255.25499.184.255.25565,534
18699.185.0.0/1699.185.0.1 to 99.185.255.25499.185.255.25565,534
18799.186.0.0/1699.186.0.1 to 99.186.255.25499.186.255.25565,534
18899.187.0.0/1699.187.0.1 to 99.187.255.25499.187.255.25565,534
18999.188.0.0/1699.188.0.1 to 99.188.255.25499.188.255.25565,534
19099.189.0.0/1699.189.0.1 to 99.189.255.25499.189.255.25565,534
19199.190.0.0/1699.190.0.1 to 99.190.255.25499.190.255.25565,534
19299.191.0.0/1699.191.0.1 to 99.191.255.25499.191.255.25565,534
19399.192.0.0/1699.192.0.1 to 99.192.255.25499.192.255.25565,534
19499.193.0.0/1699.193.0.1 to 99.193.255.25499.193.255.25565,534
19599.194.0.0/1699.194.0.1 to 99.194.255.25499.194.255.25565,534
19699.195.0.0/1699.195.0.1 to 99.195.255.25499.195.255.25565,534
19799.196.0.0/1699.196.0.1 to 99.196.255.25499.196.255.25565,534
19899.197.0.0/1699.197.0.1 to 99.197.255.25499.197.255.25565,534
19999.198.0.0/1699.198.0.1 to 99.198.255.25499.198.255.25565,534
20099.199.0.0/1699.199.0.1 to 99.199.255.25499.199.255.25565,534
20199.200.0.0/1699.200.0.1 to 99.200.255.25499.200.255.25565,534
20299.201.0.0/1699.201.0.1 to 99.201.255.25499.201.255.25565,534
20399.202.0.0/1699.202.0.1 to 99.202.255.25499.202.255.25565,534
20499.203.0.0/1699.203.0.1 to 99.203.255.25499.203.255.25565,534
20599.204.0.0/1699.204.0.1 to 99.204.255.25499.204.255.25565,534
20699.205.0.0/1699.205.0.1 to 99.205.255.25499.205.255.25565,534
20799.206.0.0/1699.206.0.1 to 99.206.255.25499.206.255.25565,534
20899.207.0.0/1699.207.0.1 to 99.207.255.25499.207.255.25565,534
20999.208.0.0/1699.208.0.1 to 99.208.255.25499.208.255.25565,534
21099.209.0.0/1699.209.0.1 to 99.209.255.25499.209.255.25565,534
21199.210.0.0/1699.210.0.1 to 99.210.255.25499.210.255.25565,534
21299.211.0.0/1699.211.0.1 to 99.211.255.25499.211.255.25565,534
21399.212.0.0/1699.212.0.1 to 99.212.255.25499.212.255.25565,534
21499.213.0.0/1699.213.0.1 to 99.213.255.25499.213.255.25565,534
21599.214.0.0/1699.214.0.1 to 99.214.255.25499.214.255.25565,534
21699.215.0.0/1699.215.0.1 to 99.215.255.25499.215.255.25565,534
21799.216.0.0/1699.216.0.1 to 99.216.255.25499.216.255.25565,534
21899.217.0.0/1699.217.0.1 to 99.217.255.25499.217.255.25565,534
21999.218.0.0/1699.218.0.1 to 99.218.255.25499.218.255.25565,534
22099.219.0.0/1699.219.0.1 to 99.219.255.25499.219.255.25565,534
22199.220.0.0/1699.220.0.1 to 99.220.255.25499.220.255.25565,534
22299.221.0.0/1699.221.0.1 to 99.221.255.25499.221.255.25565,534
22399.222.0.0/1699.222.0.1 to 99.222.255.25499.222.255.25565,534
22499.223.0.0/1699.223.0.1 to 99.223.255.25499.223.255.25565,534
22599.224.0.0/1699.224.0.1 to 99.224.255.25499.224.255.25565,534
22699.225.0.0/1699.225.0.1 to 99.225.255.25499.225.255.25565,534
22799.226.0.0/1699.226.0.1 to 99.226.255.25499.226.255.25565,534
22899.227.0.0/1699.227.0.1 to 99.227.255.25499.227.255.25565,534
22999.228.0.0/1699.228.0.1 to 99.228.255.25499.228.255.25565,534
23099.229.0.0/1699.229.0.1 to 99.229.255.25499.229.255.25565,534
23199.230.0.0/1699.230.0.1 to 99.230.255.25499.230.255.25565,534
23299.231.0.0/1699.231.0.1 to 99.231.255.25499.231.255.25565,534
23399.232.0.0/1699.232.0.1 to 99.232.255.25499.232.255.25565,534
23499.233.0.0/1699.233.0.1 to 99.233.255.25499.233.255.25565,534
23599.234.0.0/1699.234.0.1 to 99.234.255.25499.234.255.25565,534
23699.235.0.0/1699.235.0.1 to 99.235.255.25499.235.255.25565,534
23799.236.0.0/1699.236.0.1 to 99.236.255.25499.236.255.25565,534
23899.237.0.0/1699.237.0.1 to 99.237.255.25499.237.255.25565,534
23999.238.0.0/1699.238.0.1 to 99.238.255.25499.238.255.25565,534
24099.239.0.0/1699.239.0.1 to 99.239.255.25499.239.255.25565,534
24199.240.0.0/1699.240.0.1 to 99.240.255.25499.240.255.25565,534
24299.241.0.0/1699.241.0.1 to 99.241.255.25499.241.255.25565,534
24399.242.0.0/1699.242.0.1 to 99.242.255.25499.242.255.25565,534
24499.243.0.0/1699.243.0.1 to 99.243.255.25499.243.255.25565,534
24599.244.0.0/1699.244.0.1 to 99.244.255.25499.244.255.25565,534
24699.245.0.0/1699.245.0.1 to 99.245.255.25499.245.255.25565,534
24799.246.0.0/1699.246.0.1 to 99.246.255.25499.246.255.25565,534
24899.247.0.0/1699.247.0.1 to 99.247.255.25499.247.255.25565,534
24999.248.0.0/1699.248.0.1 to 99.248.255.25499.248.255.25565,534
25099.249.0.0/1699.249.0.1 to 99.249.255.25499.249.255.25565,534
25199.250.0.0/1699.250.0.1 to 99.250.255.25499.250.255.25565,534
25299.251.0.0/1699.251.0.1 to 99.251.255.25499.251.255.25565,534
25399.252.0.0/1699.252.0.1 to 99.252.255.25499.252.255.25565,534
25499.253.0.0/1699.253.0.1 to 99.253.255.25499.253.255.25565,534
25599.254.0.0/1699.254.0.1 to 99.254.255.25499.254.255.25565,534
25699.255.0.0/1699.255.0.1 to 99.255.255.25499.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses